# TODO

## Bash feature parity

- [ ] Commands
  - [x] `abra server`
    - [x] `ls`
    - [x] `add`
    - [x] `new`
      - [x] `capsul`
      - [x] `hetzner`
    - [x] `rm`
    - [x] `init`
  - [ ] `abra app`
    - [x] `ls`
    - [x] `new`
    - [x] `backup`
    - [ ] `deploy` (WIP: decentral1se)
    - [x] `check`
    - [x] `version`
    - [x] `config`
    - [x] `cp`
    - [x] `logs`
    - [x] `ps`
    - [ ] `restore` (WIP: decentral1se)
    - [x] `rm`
    - [ ] `run`
    - [ ] `rollback`
    - [ ] `secret`
      - [ ] `generate`
      - [ ] `insert`
      - [ ] `rm`
    - [ ] `undeploy`
    - [ ] `volume`
      - [ ] `ls` (WIP: knoflook)
      - [ ] `rm` (WIP: knoflook)
  - [x] `abra recipe`
    - [x] `ls`
    - [x] `create`
    - [x] `upgrade`
    - [x] `sync`
    - [x] `versions`
    - [x] `lint`
  - [ ] `upgrade`
  - [x] `version`

## Next phase

- [ ] Polishing UI/UX and testing
- [ ] Refactoring and code organisation
- [ ] Automated builds for releasing

## New features

- [ ] Commands
  - [ ] `abra server`
    - [ ] `dns`
      - [ ] `gandi`
  - [ ] `abra recipe`
    - [ ] "TBD apps.json generating command" (see [#40](https://git.coopcloud.tech/coop-cloud/go-abra/issues/40))
- [ ] Package manager integration
  - [ ] AUR
  - [ ] Debian
  - [ ] Ubuntu
  - [ ] Fedora
  - [ ] Homebrew
